package com.ruoyi.tc.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.tc.entity.AssetCurrent;
import com.ruoyi.tc.entity.request.AssetCurrentPageRequest;
import com.ruoyi.tc.entity.response.AssetCurrentResponse;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 现有资产复制表(AssetCurrentResponse)表数据库访问层
 *
 * @author makejava
 * @since 2024-11-15 10:03:56
 */
public interface AssetCurrentCpMapper extends BaseMapper<AssetCurrentResponse> {
    /**
     *
     * @param assetId
     * @param taskId
     */
    @Delete("delete from asset_current_cp where id=#{assetId} and task_id ={taskId}  ")
    void deletByAssetIdandTaskId(Long assetId,int taskId);
}

